divert(-1)
#
# host.example.mc
#
# Autor: Guido Berhoerster <guido+guido.berhoerster.name@berhoerster.name>
#
# sendmail-Konfiguration fuer einen Rechner mit Einwahlzugang zum Internet
# unter FreeBSD 5.x
divert(0)

dnl Standardeinstellungen fuer Freebsd 5.x setzen
OSTYPE(freebsd5)

dnl empfohlene Voreinstellungen einbinden
DOMAIN(generic)

dnl Zeitraum, nach dem eine Warnung verschickt wird, dass eine zurueckgestellte
dnl E-Mail noch nicht ausgeliefert werden konnte auf 16 Stunden erhoehen; bei
dnl einem Szenario, bei dem praktisch staendig eine Verbindung zum Internet
dnl besteht kann dies wegfallen
define(`confTO_QUEUEWARN',`16h')

dnl E-Mails, die ueber einen als "expensive" gekennzeichneten Mailer verschickt
dnl werden, nicht sofort ausliefern, ist bei fast staendiger Verbindung zum
dnl Internet nicht noetig
define(`confCON_EXPENSIVE', `True')

dnl SMTP-Mailer als "expensive" kennzeichnen, kann bei fast permenenter
dnl Verbindung zum Internet ebenfalls wegfallen
define(`SMTP_MAILER_FLAGS', `+e')

dnl Smarthost definieren, ueber den alle, nicht interne, E-Mail ausgeliefert
dnl werden
define(`SMART_HOST',`mail.example.net')

dnl auch den "Envelope" maskieren
FEATURE(masquerade_envelope)

dnl ubersetzen von lokalen, ungueltigen E-Mailadressen in gueltige Adressen,
dnl beim Versenden von E-Mail
FEATURE(genericstable,`hash -o /etc/mail/genericstable')

dnl der Host/Domain-Teil qualifizierter E-Mailadressen, die durch
dnl "genericstable" uebersetzt werden sollen muss explizit angegeben werden
dnl (siehe sendmail FAQ Q3.3)
GENERICS_DOMAIN(`host.example')

dnl bei unqualifizierten Absenderadressen immer den vollen Domainnamen anfuegen,
dnl das ist notwendig, damit genericstable auch bei lokalen E-Mails die Adressen
dnl uebersetzt (siehe cf/README)
FEATURE(always_add_domain)

dnl Zuordnung von Empfaengeradressen zu lokalen E-Mailadressen
FEATURE(virtusertable,`hash -o /etc/mail/virtusertable')

dnl der Host/Domain-Teil der Empfaengeradressen, fuer die E-Mails angenommen
dnl werden, muss explizit angegeben werden
VIRTUSER_DOMAIN_FILE(`-o /etc/mail/virtuserdomains')

dnl "procmail" zur lokalen Auslieferung von E-Mails verwenden
FEATURE(local_procmail)

dnl DNS-Zugriffe unterbinden (siehr sendmail FAQ Q3.22), kann bei fast
dnl staendiger Internetverbindung entfallen
FEATURE(accept_unresolvable_domains)
FEATURE(accept_unqualified_senders)

dnl als "example.net" maskieren
MASQUERADE_AS(`example.net')

dnl redundant, da lokaler Mailer standardmaessig eingebunden wird
MAILER(local)

dnl SMTP-Mailer einbinden
MAILER(smtp)
